Package Details: mingw-w64-gettext 0.19.8.1-3

Git Clone URL: https://aur.archlinux.org/mingw-w64-gettext.git (read-only, click to copy)
Package Base: mingw-w64-gettext
Description: GNU internationalization library (mingw-w64)
Upstream URL: http://www.gnu.org/software/gettext/
Licenses: GPL
Submitter: brcha
Maintainer: xantares (Martchus)
Last Packager: xantares
Votes: 26
Popularity: 0.082478
First Submitted: 2012-06-13 18:20
Last Updated: 2019-12-08 14:17

Latest Comments

« First ‹ Previous ... 3 4 5 6 7 8

ant32 commented on 2013-10-28 17:03

Fixed src tarball https://dl.dropboxusercontent.com/u/33784287/aur/mingw-w64-gettext-0.18.3.1-2.src.tar.gz and PKGBUILD https://raw.github.com/ant32/pkgbuild/master/mingw-w64-gettext/PKGBUILD
View Changes https://github.com/ant32/pkgbuild/commits/master/mingw-w64-gettext
This will be used in the mingw-w64 repo https://sourceforge.net/p/mingw-w64-archlinux/wiki

ant32 commented on 2013-10-14 23:57

Updated src tarball to 0.18.3.1 https://dl.dropboxusercontent.com/u/33784287/aur/mingw-w64-gettext-0.18.3.1-1.src.tar.gz and PKGBUILD https://raw.github.com/ant32/pkgbuild/master/mingw-w64-gettext/PKGBUILD
View Changes https://github.com/ant32/pkgbuild/commits/master/mingw-w64-gettext

ant32 commented on 2013-08-30 19:27

here is the link to the src tarball for 0.18.3.1
http://db.tt/3F6hmO72

ant32 commented on 2013-08-27 17:51

@brcha, could you please update this soon. There are quite a few packages that depend on this package and it no longer compiles with new mingw-w64 headers.

for others, to fix this package run the following 2 commands on the package.
sed -e "s|0.18.2.1|0.18.3.1|g" -i PKGBUILD
sed -e "s|034c8103b14654ebd300fadac44d6f14|3fc808f7d25487fc72b5759df7419e02|g" -i PKGBUILD

Here is the last part of the log. I can upload the complete build log if you need.

i686-w64-mingw32-gcc -DHAVE_CONFIG_H -DEXEEXT=\".exe\" -I. -I../../../gettext-runtime/gnulib-lib -I.. -I../intl -I../../../gettext-runtime/intl -DDEPENDS_ON_LIBICONV=1 -DDEPENDS_ON_LIBINTL=1 -DUSER_LABEL_PREFIX_UNDERSCORE -I/usr/i686-w64-mingw32/include -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -c -o msvc-inval.o ../../../gettext-runtime/gnulib-lib/msvc-inval.c
../../../gettext-runtime/gnulib-lib/msvc-inval.c:32:1: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gl_msvc_invalid_parameter_handler'
gl_msvc_invalid_parameter_handler (const wchar_t *expression,
^
../../../gettext-runtime/gnulib-lib/msvc-inval.c: In function 'gl_msvc_inval_ensure_handler':
../../../gettext-runtime/gnulib-lib/msvc-inval.c:124:39: error: 'gl_msvc_invalid_parameter_handler' undeclared (first use in this function)
_set_invalid_parameter_handler (gl_msvc_invalid_parameter_handler);
^
../../../gettext-runtime/gnulib-lib/msvc-inval.c:124:39: note: each undeclared identifier is reported only once for each function it appears in
make[5]: *** [msvc-inval.o] Error 1
make[5]: Leaving directory `/build/mingw-w64-gettext_20130827-1141/mingw-w64-gettext/src/gettext-0.18.2.1/build-i686-w64-mingw32/gettext-runtime/gnulib-lib'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/build/mingw-w64-gettext_20130827-1141/mingw-w64-gettext/src/gettext-0.18.2.1/build-i686-w64-mingw32/gettext-runtime/gnulib-lib'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/build/mingw-w64-gettext_20130827-1141/mingw-w64-gettext/src/gettext-0.18.2.1/build-i686-w64-mingw32/gettext-runtime/gnulib-lib'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/build/mingw-w64-gettext_20130827-1141/mingw-w64-gettext/src/gettext-0.18.2.1/build-i686-w64-mingw32/gettext-runtime'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/mingw-w64-gettext_20130827-1141/mingw-w64-gettext/src/gettext-0.18.2.1/build-i686-w64-mingw32/gettext-runtime'
make: *** [all-recursive] Error 1

ant32 commented on 2013-08-27 17:50

@brcha, could you please update this soon. There are quite a few packages that depend on this package and it no longer compiles with new mingw-w64 headers.

for others, to fix this package run the following 2 commands on the package.
sed -e "s|0.18.2.1|0.18.3.1|g" -i PKGBUILD
sed -e "s|034c8103b14654ebd300fadac44d6f14|3fc808f7d25487fc72b5759df7419e02|g" -i PKGBUILD

svanheulen commented on 2012-08-10 20:46

This needs to makedepend on mingw-w64-gcc instead of mingw32-gcc

rubenvb commented on 2012-06-24 21:47

Why does this makedepend on mingw32-gcc? Is it a typo?